#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,ind=-1,znj=0;
    long long int s,l;
    scanf("%d%lld",&n,&l);
    for(int i=0; i<n; i++)
    {
        scanf("%lld",&s);
        if (l >= s && znj==0)
        {
        ind = i + 1;
        znj=1;
        }
    }
    printf("%d",ind);
    return 0;
}